Description

Hi ;

When I put a new DCE element and i try to edit I have a error " Sorry, you didn't have proper permissions to perform this change." 
But when I put DCE element to Grid Content I can edit this record.

I also have the same problem when i created new Grid element and next DCE

Please look on this link :

window.location.href='../../../alt_doc.php?returnUrl=%2Ftypo3%2Fsysext%2Fcms%2Flayout%2Fdb_layout.php%3Fid%3D1240%26
23element-tt_content-6354&edit[tt_content][]=edit'; return false;

<a href="#"
onclick="window.location.href='../../../alt_doc.php?returnUrl=%2Ftypo3%2Fsysext%2Fcms%2Flayout%2Fdb_layout.php%3Fid%3D1240%26%23ele
40%26%23element-tt_content-6354&edit[tt_content][6354,]=edit'; return false;" title="Edit"><span class="t3-icon t3-icon-actions
t3-icon-actions-document t3-icon-document-open"> </span></a>

Related issues:
related to Grid Elements - Bug # 60194: Bug with 6.2.4 Resolved 2014-07-09
related to Core - Bug # 60199: Page module: tt_content records  are not editable Resolved 2014-07-09

History
#1 - 2014-07-11 15:36 - Jo Hasenau
- Project changed from Grid Elements to Dynamic Content Elements (DCE)

#2 - 2014-07-11 15:39 - Jo Hasenau

This has been fixed in Gridelements master, but it might be problematic with other extensions, since the original problem has been caused by a patch
in the core, which was introduced with TYPO3 6.2.4

#3 - 2014-08-03 00:39 - Armin Ruediger Vieweg
- Status changed from New to Closed
